Subject: Re: Subject: [PATCH] Documentation/git-merge: deprecated syntax moved to end

From: Junio C Hamano <[email-masked]>
Date: Thu, 01 Jan 2009 13:00:55 -0800

[email-masked] writes:

> Moving the deprecated syntax moved to the end of the document.
> Or please at least stamp it *deprecated* in the SYNOPSIS, in case the
> user reads no further down the page.

To my mind, there is a difference between something being kept (and will
be kept for foreseeable future), and something being deprecated (and
eventual removal is at least contemplated).  The original merge syntax
falls into the first category, and the current description is correct and
fine as-is.

The wording "for historical reasons" does not refer to the reason why the
second syntax is still kept.  It merely refers to the reason why two
syntaxes exist in the first place.